Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.exception
Class ItemInvokeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              de.jsystems.tools.exception.BaseException
                  de.jsystems.framework.common.exception.ItemInvokeException

All Implemented Interfaces:
  Serializable

public class ItemInvokeException
extends BaseException

Diese Exception wird ausgelöst, wenn beim Aufruf einer Methode in einem Item ein Fehler auftritt. Die enthaltene Exception spezifiziert dabei den urspruenglich aufgetretenen Fehler. Das duerften meistens Fehler aus dem Reflection-Package sein, da Methodenaufrufe aus dem Framework an Item-Objekten ueberwiegend ueber Reflection realisiert sind.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Field Summary

Fields inherited from class de.jsystems.tools.exception.BaseException
`LEVEL_ERROR, LEVEL_FATAL, LEVEL_WARNING, LOG_ERROR, LOG_FATAL_ERROR, LOG_NONE, LOG_WARNING`

Fields inherited from class java.lang.Exception
``

Constructor Summary
`ItemInvokeException(Exception baseException)` Erzeugt eine neue Exception, wobei die urspruenglich aufgetretene Exception, die zu dieser Exception gefuehrt hat, mit uebergeben wird.
`ItemInvokeException(Exception baseException, String message)` Erzeugt eine neue Exception, wobei die urspruenglich aufgetretene Exception, die zu dieser Exception gefuehrt hat, mit uebergeben wird.

Methods inherited from class de.jsystems.tools.exception.BaseException
`getLevel, getOrigin, getOriginMessage, getSource, logException, logException, showMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ItemInvokeException

    public ItemInvokeException(Exception baseException)

  Erzeugt eine neue Exception, wobei die urspruenglich aufgetretene Exception, die zu dieser Exception gefuehrt hat, mit uebergeben wird.

Parameters:
  `baseException` - Die urspruenglich aufgetretene Exception.

### ItemInvokeException

    public ItemInvokeException(Exception baseException,
                               String message)

  Erzeugt eine neue Exception, wobei die urspruenglich aufgetretene Exception, die zu dieser Exception gefuehrt hat, mit uebergeben wird. Zusaetzlich kann in dem String-Parameter eine weitere Beschreibung des Fehlers uebergeben werden.

Parameters:
  `baseException` - Die urspruenglich aufgetretene Exception.
  `message` - Eine genauere Beschreibung der Fehlerursache.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD